# Copyright (c) ETSI 2017.
# https://forge.etsi.org/etsi-forge-copyright-notice.txt

responses:
  409-alarm-state-conflict:
    description: >
      Conflict

      The operation cannot be executed currently, due to a conflict with the
      state of the "Individual alarm" resource.
      Typically, this is due to the fact that the alarm is already in the
      state that is requested to be set (such as trying to acknowledge an
      already-acknowledged alarm).
      The response body shall contain a ProblemDetails structure, in which the
      "detail" attribute should convey more information about the error.
    headers:
      Content-Type:
        description: The MIME type of the body of the response.
        type: string
        maximum: 1
        minimum: 1
      WWW-Authenticate:
        description: >
          Challenge if the corresponding HTTP request has not provided
          authorization, or error details if the corresponding HTTP
          request has provided an invalid authorization token.
        type: string
        maximum: 1
        minimum: 0
    schema:
      $ref: "../../../definitions/SOL002SOL003_def.yaml#/definitions/ProblemDetails"
